<div class="xapi-tools-container">
    <h3 i18n="@@controlCenterResultImport">
      Result Importer
    </h3>
    <p i18n="@@controlCenterResultImportDescription">
      Enter JSON based results to import to the lrs. Please select an analytics to import the results. 
    </p>
    <nz-select [(ngModel)]="selectedAnalysis" placeholder="Select Analytics">
      <nz-option *ngFor="let provider of this.analyticsToken" [nzValue]="provider" [nzLabel]="provider.name"></nz-option>
    </nz-select>
    <textarea rows="10" [(ngModel)]="resultObject" placeholder="Result to import"></textarea>
    <nz-space>
    <button *nzSpaceItem nz-button nzType="primary" (click)="importResults()">Import results</button>
    <button *nzSpaceItem nz-button nzType="default" (click)="generateExample()">Example result</button>
    </nz-space>
    <div class="response-container" *ngIf="this.responseMessage">
        
      <nz-alert [nzType]="this.responseType" [nzMessage]="this.responseMessage" nzShowIcon></nz-alert>
    </div>

    <h3 i18n="@@controlCenterResultImport">
        Result Filter
    </h3>
    <p i18n="@@controlCenterResultImportDescription">
        Enter JSON based results to import to the lrs. Please select an analytics to import the results. 
    </p>
    <nz-select [(ngModel)]="selectedAnalysis" placeholder="Select Analytics">
        <nz-option *ngFor="let provider of this.analyticsToken" [nzValue]="provider" [nzLabel]="provider.name"></nz-option>
    </nz-select>

    <textarea rows="10" [(ngModel)]="filterResultObject" placeholder="Filter of results"></textarea>
    <nz-space>
    <button *nzSpaceItem nz-button nzType="primary" (click)="getResults()">Get results</button>
    <button *nzSpaceItem nz-button nzType="default" (click)="generateExampleFilter()">Example filter</button>
    </nz-space>
    <div class="response-container" *ngIf="this.responseResultMessage">
        
        <nz-alert [nzType]="this.responseResultType" [nzMessage]="this.responseResultMessage" nzShowIcon></nz-alert>
      </div>
</div>